package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.message.MessageFormatter;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/GenerateMessageAction.class */
public class GenerateMessageAction extends LifeAction {
    private String businessCode;
    private String businessCodeFieldName;
    private String formatIdFieldName;
    private String formatId;
    private String messageFieldName;

    public String execute(Context context) throws GENEException {
        String businessCodeValue = this.businessCode == null ? (String) context.getDataValue(this.businessCodeFieldName) : this.businessCode;
        String formatIdValue = this.formatId == null ? (String) context.getDataValue(this.formatIdFieldName) : this.formatId;
        String language = LifeStandard.getLanguage(context);
        String message = MessageFormatter.getMessage(businessCodeValue, formatIdValue, language, context);
        context.setDataValue(this.messageFieldName, message);
        Trace.logInfo("LifeAction", "Message Content:".concat(String.valueOf(message)));
        return "0";
    }

    public String getBusinessCode() {
        return this.businessCode;
    }

    public void setBusinessCode(String businessCode) {
        this.businessCode = businessCode;
    }

    public String getBusinessCodeFieldName() {
        return this.businessCodeFieldName;
    }

    public void setBusinessCodeFieldName(String businessCodeFieldName) {
        this.businessCodeFieldName = businessCodeFieldName;
    }

    public String getFormatIdFieldName() {
        return this.formatIdFieldName;
    }

    public void setFormatIdFieldName(String formatIdFieldName) {
        this.formatIdFieldName = formatIdFieldName;
    }

    public String getFormatId() {
        return this.formatId;
    }

    public void setFormatId(String formatId) {
        this.formatId = formatId;
    }

    public String getMessageFieldName() {
        return this.messageFieldName;
    }

    public void setMessageFieldName(String messageFieldName) {
        this.messageFieldName = messageFieldName;
    }
}
